@extends('admin.layout') 

@section('content')
<div class="wrapper wrapper-content animated fadeInRight">
	<div class="row">
		<div class="col-sm-12">
			<div class="ibox float-e-margins">
				<div class="ibox-title">
					<h5>产品列表</h5>
					<div class="ibox-tools">
						<a class="collapse-link"> <i class="fa fa-chevron-up"></i>
						</a>
					</div>
				</div>
				<div class="ibox-content">
				    <div class="row">
				        <form method="GET" action="" accept-charset="UTF-8">

				        <div class="col-sm-4">
				            <div class="input-group">
								<input type="text" value="{{Request::get('keyword')}}"	placeholder="请输入关键词" name="keyword"class="input-sm form-control"> 
								<span class="input-group-btn">
									<button type="submit" class="btn btn-sm btn-primary">搜索</button>
								</span>
    						</div>
				        </div>
				        </form>
						@if(role('Album/Product/create'))
    					<div class="col-sm-3 pull-right">
    					   <a href="{{ U('Album/Product/create')}}" class="btn btn-sm btn-primary pull-right">添加</a>
    					</div>
						@endif
					</div>
					
					<table class="table table-striped table-bordered table-hover dataTables-example dataTable">
						<thead>
    						<tr>
								
            <th class="sorting" data-sort="id"> ID </th>
            <th class="sorting" data-sort="name"> 名称 </th>
            <th class="sorting" data-sort="cat_id"> 分类 </th>
            <th class="sorting" data-sort="price_default"> 默认价格 </th>
            <th class="sorting" data-sort="specifications_img"> 规格图片 </th>
            <th class="sorting" data-sort="install_img"> 安装图片 </th>
            <th class="sorting" data-sort="style"> 风格 </th>
            <th class="sorting" data-sort="sort"> 排序 </th>
            <th class="sorting" data-sort="cover_pic"> 封面图片 </th>
        						<th width="22%">相关操作</th>
        					</tr>
						</thead>
						<tbody>
						@if(isset($list))
							@foreach($list as $key => $item)							<tr>
								
            <td>{{ $item->id }}</td>
            <td>{{ $item->name }}</td>
            <td>{{ $item->cat_name }}</td>
            <td>{{ $item->price_default }}</td>
            <td><img src="{{ $item->specifications_img }}" width="50"/></td>
            <td><img src="{{ $item->install_img }}" width="50"/></td>
            <td>{{ $item->style_name }}</td>
            <td>{{ $item->sort }}</td>
            <td><img src="{{ $item->thumb }}" width="50"/></td>
								<td>
									<div class="btn-group">
										<button data-toggle="dropdown"
											class="btn btn-warning btn-sm dropdown-toggle"
											aria-expanded="false">
											操作 <span class="caret"></span>
										</button>
										<ul class="dropdown-menu">


											@if(role('Album/Product/update'))
											<li><a href="{{ U('Album/Product/update',['id'=>$item->id])}}" class="font-bold">修改</a></li>
											@endif

											@if(role('Album/Product/destroy'))
											<li class="divider"></li>
											<li><a href="{{ U('Album/Product/destroy',['id'=>$item->id])}}" onclick="return confirm('你确定执行删除操作？');">删除</a></li>
											@endif

										</ul>
									</div>
								@if(role('Album/Product/view'))
										<button onclick="layer.open({type: 2,area: ['80%', '90%'],content: '{{ U('Album/Product/view',['id'=>$item->id])}}'});"  class="btn btn-primary ">查看大图</button>
									@endif
								</td>
							</tr>
							@endforeach
							@endif

						</tbody>
					</table>
					<div class="row">
						<div class="col-sm-6">
							<div class="dataTables_info" id="DataTables_Table_0_info"
								role="alert" aria-live="polite" aria-relevant="all">每页{{ $list->count() }}条，共{{ $list->lastPage() }}页，总{{ $list->total() }}条。</div>
						</div>
						<div class="col-sm-6">
						<div class="dataTables_paginate paging_simple_numbers" id="DataTables_Table_0_paginate">
						{!! $list->setPath('')->appends(Request::all())->render() !!}
						</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
@endsection